@import "~/src/sass/variables.sass"

#app
  display: flex
  flex-direction: column
  align-items: center
  flex-wrap: wrap

  width: 100%

  padding-top: 66px // Simulate header
  height: calc( 100% - 66px )

  background-color: var(--color-background, $light-background)

  .page
    width: 100%
    height: 100%

    .title
      font-size: 3.4rem
      color: var(--color-on-background, $light-on-background)
      margin-top: 1em
      margin-bottom: calc( 1em + 3vh )
      text-align: center
      transition: opacity 130ms ease

  .error-chip
    position: fixed

    animation: error-chip-popup
    animation-duration: 200ms
    animation-fill-mode: both
    animation-timing-function: ease-in-out

    display: flex
    justify-content: center

    .chip
      word-wrap: anywhere
      max-width: 80%
      box-shadow: 0px 1px 20px 2px darken(var(--color-error-container, $light-error-container), 5)

  header
    position: fixed
    top: 0px
    width: calc(100% - 18px)
    height: fit-content
    background-color: var(--color-surface, $light-surface)
    transition: background-color 200ms ease-out

    padding: 11px 9px 11px 9px

    display: flex
    flex-direction: row
    align-items: center
    justify-content: space-between

    h1.page-title
      color: var(--color-on-background, $light-on-background)
      font-size: 22px
      line-height: 28px
      font-weight: 400
      text-align: center

      margin: 0px

      transform: translateY(11px)
      opacity: 0

      transition: all 165ms ease

      &.shown
        transform: translateY(0px)
        opacity: 1

    .icon
      color: var(--color-on-surface, $light-on-surface)

      position: relative

      width: 30px
      height: 30px
      padding: 7px

      border-radius: 0.9rem

      font-size: 30px
      line-height: 30px

      transition-duration: 150ms

      &:hover, &:focus
        background-color: transparentize(var(--color-primary, $light-primary), 0.92)
      &:active
        background-color: transparentize(var(--color-primary, $light-primary), 0.88)

  &.header-title-shown
    header
      background-color: var(--color-surface-4, $light-surface-4)

    .page .title
      opacity: 0


@keyframes error-chip-popup
  0%
    bottom: -40px
    opacity: 0
  100%
    bottom: 3%
    opacity: 1


@media (prefers-color-scheme: dark)
  html, body, #app
    background-color: var(--color-background, $dark-background)

    .loading .animation p
      color: var(--color-on-background, $dark-on-background)

    .transparent-background
      background-color: transparentize(var(--color-outline, $dark-outline), 0.8)

  #app
    &.header-title-shown
      header
        background-color: var(--color-surface-4, $dark-surface-4)

    .page .title
      color: var(--color-on-background, $dark-on-background)

    header
      background-color: var(--color-surface, $dark-surface)

      h1.page-title
        color: var(--color-on-background, $dark-on-background)

      .icon
        color: var(--color-on-surface, $dark-on-surface)

        &:hover, &:focus
          background-color: transparentize(var(--color-primary, $dark-primary), 0.92)
        &:active
          background-color: transparentize(var(--color-primary, $dark-primary), 0.88)

  .error-chip .chip
    box-shadow: 0px 1px 20px 2px darken(var(--color-error-container, $dark-error-container), 5)